<?php
/*
	Pull down NextBus data
	API Doc: http://www.nextbus.com/xmlFeedDocs/NextBusXMLFeed.pdf
*/

// Required includes
require_once('../config.php');
require_once('../functions.php');

// Open SQL connection
$db = dbc();

// URL
$route = "h";
$urlBase = "http://webservices.nextbus.com/service/publicXMLFeed?command=vehicleLocations&a=rutgers&r={$route}";

// get timestamp when this selector was last queried
$lastFetched = 0;
$result = dbq($db, "SELECT `time` FROM `learnRoute_lastChecked` WHERE `selector` = 'vehicleLocations' LIMIT 1", true);
if ($result->num_rows == 1) {
	$arr = $result->fetch_array();
	$lastFetched = $arr[0];
}

// ask for new data
if (@$source = file_get_contents($urlBase . "&t=" . $lastFetched*1000)) {
	if ($thisXML = simplexml_load_string($source)) {
	
		foreach ($thisXML->vehicle as $vehicle) {
			foreach ($vehicle as $key => $val) $vehicle[$key] = $db->real_escape_string($val);
			$time = time() - $vehicle['secsSinceReport'];
			$q = "INSERT INTO `learnRoute_vehicleLocations` ";
			$q .= "(`vehicle`,`time`,`routeTag`,`dirTag`,`lat`,`lon`) ";
			$q .= "VALUES ('{$vehicle['id']}','{$time}','{$vehicle['routeTag']}','{$vehicle['dirTag']}','{$vehicle['lat']}','{$vehicle['lon']}')";
			dbq($db, $q);
		}

		// update lastChecked.
		$tSec = round($thisXML->lastTime['time'] / 1000);
		dbq($db, "INSERT INTO `learnRoute_lastChecked` (`selector`, `time`) VALUES ('vehicleLocations', '" . $tSec . "') ON DUPLICATE KEY UPDATE `time` = VALUES(`time`)");
		
	} else $error = "Could not parse NextBus data as XML";
} else $error = "Could not fetch NextBus data";

// functions used in this file
function sanitize($string) {
	$pattern = "/[^\w.-\s]/";
	return preg_replace($pattern,"",$string);
}

?>