<?php
/*
	Pull down NextBus data
	API Doc: http://www.nextbus.com/xmlFeedDocs/NextBusXMLFeed.pdf
*/

$agency = "rutgers";

// Required includes
require_once('../config.php');
require_once('../functions.php');

// Open SQL connection
$db = dbc();

// URL
$urlBase = "http://webservices.nextbus.com/service/publicXMLFeed?command=vehicleLocations&a={$agency}";

// get timestamp when this selector was last queried
$lastChecked = 0;
$result = dbq($db, "SELECT `time` FROM `lastChecked` WHERE `selector` = 'vehicleLocations' LIMIT 1");
if ($result->num_rows == 1) {
	$arr = $result->fetch_array();
	$lastChecked = $arr[0];
}

// ask for new data
if (@$source = file_get_contents($urlBase . "&t=" . $lastChecked*1000)) {
	if ($thisXML = simplexml_load_string($source)) {
	
		//dbq($db, "DELETE FROM `vehicleLocations` WHERE `id` = '{$agency}' AND `routeTag` = '{$route}' AND `stopTag` = '{$stop}'");
		foreach ($thisXML->vehicle as $vehicle) {
			foreach ($vehicle as $key => $val) $vehicle[$key] = $db->real_escape_string($val);
			$time = time() - $vehicle['secsSinceReport'];
			$q = "INSERT INTO `vehicleLocations` ";
			$q .= "(`agency`, `id`,`routeTag`,`dirTag`,`lat`,`lon`,`heading`,`speedKmHr`,`time`) ";
			$q .= "VALUES ('{$agency}','{$vehicle['id']}','{$vehicle['routeTag']}','{$vehicle['dirTag']}',";
			$q .= "'{$vehicle['lat']}','{$vehicle['lon']}','{$vehicle['heading']}','{$vehicle['speedKmHr']}','{$time}')";
			$q .= "ON DUPLICATE KEY UPDATE `routeTag`='{$vehicle['routeTag']}', `dirTag`='{$vehicle['dirTag']}', ";
			$q .= "`lat`='{$vehicle['lat']}', `lon`='{$vehicle['lon']}', `heading`='{$vehicle['heading']}', `speedKmHr`='{$vehicle['speedKmHr']}', `time`='{$time}'";
			dbq($db, $q);
		}

		// update lastChecked.
		$tSec = round($thisXML->lastTime['time'] / 1000);
		dbq($db, "INSERT INTO `lastChecked` (`selector`, `time`) VALUES ('vehicleLocations', '" . $tSec . "') ON DUPLICATE KEY UPDATE `time` = VALUES(`time`)");
		
	} else $warning = "Could not parse NextBus data as XML";
} else $warning = "Could not fetch NextBus data";

$db->close();
?>