<!doctype html>
<html lang="en">
<head>
	<title>RU Bus Map</title>
	<meta name="description" content="Real-time animated map of the bus system at Rutgers University New Brunswick.">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width; initial-scale=0.5; maximum-scale=0.5; user-scalable=no;" />
	<meta name="apple-mobile-web-app-capable" content="yes" />
	<meta name="apple-mobile-web-app-status-bar-style" content="black" />
	<link href="css/leaflet.css" rel="stylesheet" />
	<link href="css/leaflet.label.css" rel="stylesheet" />
	<link href="css/style.css" rel="stylesheet" />
	<?php if (isset($_GET['embed'])) { ?>
		<link href="css/embed.css" rel="stylesheet" />
	<? } ?>
	<script src="js/fastclick.js"></script>
	<script src="js/jquery.min.js"></script>
	<script src="js/leaflet.js"></script>
	<script src="js/leaflet.marker.rotate.js"></script>
	<script src="js/leaflet.label.js"></script>
	<script src="js/jquery.raptorize.js"></script>
	<script src="js/script.js"></script>
	<?php
		if (isset($_GET['centerLat']) && isset($_GET['centerLon'])) {
			$lat = doubleval($_GET['centerLat']);
			$lon = doubleval($_GET['centerLon']);
			if (isset($_GET['zoom'])) $zoom = intval($_GET['zoom']);
			else $zoom = 'undefined';
			echo '<script>$(document).ready(function(){ window.map.setView(['.$lat.','.$lon.'], '.$zoom.'); });</script>';
		}
	?>
	
</head>
<body>
	<div id="container">
		<div id="topBar">
			<div id="routeselector">Please enable Javascript to use this map.</div>
		</div>
		<div id="map"></div>
		<div id="locationButton"></div>
	</div>
	<script>
		var _paq = _paq || [];
		_paq.push(["trackPageView"]);
		_paq.push(["enableLinkTracking"]);

		(function() {
			var u=(("https:" == document.location.protocol) ? "https" : "http") + "://analytics.ant.sr/";
			_paq.push(["setTrackerUrl", u+"piwik.php"]);
			_paq.push(["setSiteId", "3"]);
			var d=document, g=d.createElement("script"), s=d.getElementsByTagName("script")[0]; g.type="text/javascript";
			g.defer=true; g.async=true; g.src=u+"piwik.js"; s.parentNode.insertBefore(g,s);
		})();
	</script>
</body>
</html>